
Pre-Development - Bug #19789

FE - React - Email Parameter Setting - The status are missing after back from form page

19 February 2024 01:18 PM - Hazimi Muhammad

Status: Feedback Start date: 19 February 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

The status at the search are missing when back from the form page

Issue:

Click Email Parameter Setting at the menu -> click Search button -> select data in the table -> click cancel button or breadcrumb ->

click the accordion -> the status form is missing

Expexted:

Click Email Parameter Setting at the menu -> click Search button -> select data in the table -> click cancel button or breadcrumb ->

click the accordion -> the status form is fill

History

#1 - 21 February 2024 04:50 PM - Nityanantan Nityanantan

nity- run data entry form to get status.

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/aac0fc648e2745ca443640c624ce9cd3bf81e527

#2 - 21 February 2024 04:50 PM - Nityanantan Nityanantan

- Status changed from New to Resolved

- Assignee changed from Nityanantan Nityanantan to Hazimi Muhammad

#3 - 22 February 2024 09:37 AM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been fixed.

Already manage to get the data after back from form page

Click Email Parameter Setting at the menu -> click Search button -> select data in the table -> click cancel button or breadcrumb -> click the

accordion -> the status form is fill

#4 - 22 February 2024 03:48 PM - chok yee fan

- Assignee changed from chok yee fan to Farid Nazmi

#5 - 06 March 2024 11:05 AM - Farid Nazmi

- Status changed from Feedback to In Progress
https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/aac0fc648e2745ca443640c624ce9cd3bf81e527


#6 - 08 March 2024 05:40 PM - Farid Nazmi

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Already fixed

the root cause is because the search form is not storing in the cache , adding fixedCacheKey: "shared-email-config-system-form",

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-am/-/commit/7fef34e3847bf16c2734be1c4f16d7841b71b37a

#7 - 08 March 2024 05:41 PM - Farid Nazmi

- Assignee changed from Farid Nazmi to Hazimi Muhammad

#8 - 13 March 2024 10:39 AM - Hazimi Muhammad

- Status changed from Resolved to Feedback

- Assignee changed from Hazimi Muhammad to chok yee fan

Issue has been fixed

Click Email Parameter Setting at the menu -> click Search button -> select data in the table -> click cancel button or breadcrumb -> click the

accordion -> the status form is fill
